.icon-custom-size-50 {
    width: 50px !important;
    height: 50px !important;
}

.icon-custom-size-40 {
    width: 40px !important;
    height: 40px !important;
}
/* Text color section */
.text-orange {
    color: #d97f3d !important;
}
.text-blue {
    color: #354b8e !important;
}
.text-green {
    color: #408e35 !important;
}
.text-white {
    color: white !important;
}
.text-red {
    color: red !important;
}
.text-black {
    color: black !important;
}
/* Font size */
.font-size11 {
    font-size: 11px !important;
}
.font-size12 {
    font-size: 12px !important;
}
.font-size13 {
    font-size: 13px !important;
}
.font-size14 {
    font-size: 14px !important;
}
.font-size16 {
    font-size: 16px !important;
}
.font-size18 {
    font-size: 18px !important;
}
.txt-justify {
    text-align: justify;
}
.text-600 {
    font-weight: 600 !important;
}
.text-700 {
    font-weight: 700 !important;
}
.text-800 {
    font-weight: 800 !important;
}
.text-900 {
    font-weight: 900 !important;
}
.text-bold {
    font-weight: bold !important;
}
.requiredStyle {
    color: red !important;
}
.x-small {
    font-size: 0.75rem; /* Adjust the size as needed */
}
.xx-small {
    font-size: 0.58rem; /* Adjust the size as needed */
}
.rightFloat {
    float: right !important;
}
.inline {
    display: inline-block;
    padding: 0.25rem 0.75rem;
    border-radius: 12%;
}
.headingText {
    font-weight: 500;
    font-size: medium;
    line-height: 1.9rem;
}
.login-logo,
.register-logo {
    font-size: 35px;
    text-align: center;
    margin-bottom: 25px;
    font-weight: 300;
}
.activeItem {
    background-color: #8cbf3f !important;
    color: white !important;
}

/* Fix for modal backdrop and z-index */
.modal-backdrop {
    opacity: 0.5 !important;
    z-index: 1040 !important;
}

.modal {
    z-index: 1050 !important;
}

.modal-dialog {
    z-index: 1060 !important;
}

/* Fix for dark modal background */
.modal-backdrop {
    opacity: 0.5 !important;
    background-color: #000 !important;
}

.modal {
    z-index: 1055 !important;
}

.modal-dialog {
    z-index: 1056 !important;
}

.modal-content {
    background-color: #fff;
    border: none;
    border-radius: 0.3rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}
.app,
app-dashboard,
app-root {
    display: flex;
    min-height: 80vh;
}
.bg-white {
    background-color: #fff;
}
.login-logo {
    margin-bottom: 30px;
    text-align: center;
}
.login-logo > img {
    filter: drop-shadow(0.35rem 0.35rem 0.4rem rgba(0, 0, 0, 0.6));
}
.shadow-img {
    filter: drop-shadow(0.35rem 0.35rem 0.4rem rgba(0, 0, 0, 0.4));
}
.requiredSpan {
    color: red !important;
}
.minHeight-200 {
    min-height: 200px;
}
.minHeight-300 {
    min-height: 300px;
}
.display-iB {
    display: inline-block !important;
}
.display-B {
    display: block !important;
}
.bs-stepper.vertical .bs-stepper-header {
    background-color: unset;
}
.step .steper-title {
    text-transform: uppercase;
}
.form-select,
.form-control {
    /*border-radius: unset;*/
}
.nav-pills .nav-link {
    background-color: white;
    border: 1px solid #8cbf3f;
    margin-bottom: 3px;
}
.pe-none {
    background-color: #e9ecef;
    opacity: 1;
    background-image: unset;
}
.page-content.profile input:disabled,
.page-content.profile input[readonly],
.page-content.profile select.pe-none,
.page-content.profile textarea[readonly] {
    background-color: unset;
    border: 0;
    border-bottom: 1px solid #e9ecef;
}
.page-content.profile input[readonly]:focus,
.page-content.profile textarea[readonly]:focus {
    box-shadow: unset;
}
button.remove-btn {
    margin-top: 5px;
}
.profile-picture {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    overflow: hidden;
    margin: auto;
}
.profile-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#employee-picture-form {
    margin: 0 30px;
}
.page-content.profile h6 {
    font-weight: normal;
}
.accordion-item:last-of-type .accordion-button.collapsed {
    background-color: #f7f6f6;
}
.badge.badge-active {
    position: absolute;
    right: 52px;
}
.repeater .notFoundCustomBadge {
    margin-bottom: 0;
    padding: 8px 100px;
}
.repeater .insideHeading {
    width: 30%;
}
/*.accordion-body .repeater-remove-btn {*/
/*    position: relative;*/
/*}*/
/*.accordion-body .repeater-remove-btn .remove-btn{*/
/*    position: absolute;*/
/*    right: 35px;*/
/*    top: -66px;*/
/*    z-index:999;*/
/*}*/
.pace-running .wrapper {
    display: none;
}
.select2-container--disabled {
    color: #212529;
}
.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    width: 100% !important;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
    margin-top: 0.2rem;
}

.dataTables_filter {
    margin-right: 0.2rem;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #c8ced3;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #c8ced3;
}

.select2 {
    max-width: 100%;
    width: 100% !important;
}

.select2-selection__rendered {
    padding-bottom: 5px !important;
}

.has-error .invalid-feedback {
    display: block !important;
}

.btn-info,
.badge-info {
    color: white;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

.sidebar .nav-item {
    cursor: pointer;
}

.btn-default {
    color: #23282c;
    background-color: #f0f3f5;
    border-color: #f0f3f5;
}

.btn-default.focus,
.btn-default:focus {
    box-shadow: 0 0 0 0.2rem rgba(209, 213, 215, 0.5);
}

.btn-default:hover {
    color: #23282c;
    background-color: #d9e1e6;
    border-color: #d1dbe1;
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.searchable-title {
    font-weight: bold;
}
.searchable-fields {
    padding-left: 5px;
}
.searchable-link {
    padding: 0 5px 0 5px;
}
.searchable-link:hover {
    cursor: pointer;
    background: #eaeaea;
}
.select2-results__option {
    padding-left: 0;
    padding-right: 0;
}

.login-logo,
.register-logo {
    font-size: 35px;
    text-align: center;
    margin-bottom: 25px;
    font-weight: 300;
}
.text-bold {
    font-weight: bold;
}
.text-red {
    color: red;
}
.datatable .table > thead {
    width: 100%;
}
/*Select2 Customizations*/
.select2-container .select2-search--inline .select2-search__field {
    margin-top: 7px !important;
}
.select2-container--bootstrap4
    .select2-selection--multiple
    .select2-selection__rendered {
    padding: 0 8px !important;
}
.select2-container--bootstrap4
    .select2-selection--multiple
    .select2-selection__clear {
    margin-top: 12px !important;
}
/*Select2 ReadOnly Start*/
select[readonly].select2-hidden-accessible + .select2-container {
    pointer-events: none;
    touch-action: none;
}
select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection {
    background: #eee;
    box-shadow: none;
}
select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection__clear {
    display: none;
}
/*select[readonly].select2-hidden-accessible + .select2-container .select2-selection .select2-selection__rendered {*/
/*    opacity: .5;*/
/*}*/
/*select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow{*/
/*    opacity: .35;*/
/*}*/
/*select[readonly].select2-hidden-accessible + .select2-container .select2-selection > .select2-selection__rendered{*/
/*    color: #A1A5B7 !important;*/
/*}*/
/*Select2 ReadOnly End*/
/*Select2 Customizations*/
.accordion-item .accordion-button {
    padding: 0.8rem 1.25rem !important;
}
.profile.page-content .step.active .bs-stepper-circle {
    background-color: #8cbf3f;
}
.profile.page-content .step.active .steper-title {
    color: #8cbf3f;
}
.profile.page-content .step .bs-stepper-circle {
    background-color: #f0f0f0;
}
.profile.page-content .bs-stepper-circle {
    width: 1.7rem;
    height: 1.7rem;
}
.sticky-menu {
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 130px; /* Adjust this value to match your header's height */
    height: calc(
        100vh - 130px
    ); /* Ensure the left menu fills the height minus the top offset */
    overflow-y: auto; /* Allows scrolling if the content exceeds the viewport */
}

.select2-container .select2-results__options {
    color: black !important;
}
.grayColor {
    color: gray !important;
}
.bgLightAqua {
 background-color: #e5f3f3;
}
